Bug 579191 - [RFE] Add mysql++ branches for EL-4 and EL-5
Summary: [RFE] Add mysql++ branches for EL-4 and EL-5
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql++
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-03 06:15 UTC by Peter Lemenkov
Modified: 2010-05-06 00:52 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-05-06 00:52:41 UTC


Attachments (Terms of Use)

Description Peter Lemenkov 2010-04-03 06:15:03 UTC
My package, sems, requires mysql++, but, unfortunately, mysqlpp still not present in EPEL, so I need to disable some functionality with ifdefs.

I just checked - mysql++ builds fine both in EL-4 and EL-5 so adding it into these repositories doesn't look like a big problem.

Comment 1 Remi Collet 2010-04-03 15:22:11 UTC
CSV Request for new branches done:
https://bugzilla.redhat.com/show_bug.cgi?id=230394#c8

Comment 2 Peter Lemenkov 2010-04-03 15:29:13 UTC
(In reply to comment #1)
> CSV Request for new branches done:
> https://bugzilla.redhat.com/show_bug.cgi?id=230394#c8    

Thanks, Remi!

Comment 3 Fedora Update System 2010-04-04 07:04:42 UTC
mysql++-3.0.9-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mysql++-3.0.9-4.el5

Comment 4 Fedora Update System 2010-04-04 07:07:27 UTC
mysql++-3.0.9-4.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/mysql++-3.0.9-4.el4

Comment 5 Remi Collet 2010-04-04 07:11:35 UTC
(In reply to comment #0)
> I just checked - mysql++ builds fine both in EL-4 and EL-5 so adding it into
> these repositories doesn't look like a big problem.    

As mysql++ is now in updates-testing, you should ask for a buildroot exception and build your package. If all is ok, set a positive karma and I will push it to stable.

Note that EPEL policy implies stable API. So next version will probably not be pushed to EPEL.

Don't really know what is the future for this library, as there is now an official MySQL Connector C++.

Comment 6 Fedora Update System 2010-04-07 22:16:57 UTC
mysql++-3.0.9-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mysql++'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mysql++-3.0.9-4.el5

Comment 7 Fedora Update System 2010-04-07 22:17:52 UTC
mysql++-3.0.9-4.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mysql++'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mysql++-3.0.9-4.el4

Comment 8 Fedora Update System 2010-05-06 00:52:37 UTC
mysql++-3.0.9-4.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-05-06 00:52:47 UTC
mysql++-3.0.9-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.